:root {
	--primary-bg-color: #ffffff;
	--primary-text-color: #7f896d;
	--primary-text-color-light: rgba(127, 137, 109, 0.89);
	--print-green: #7f896d;
	interpolate-size: allow-keywords;
}

@font-face {
	font-family: "TimezoneReg";
	src: url("./fonts/HALTimezone-Regular-1.woff");
}

html,
body {
	font-family: "TimezoneReg";

	padding: 0;
	margin: 0;
	text-rendering: optimizeLegibility;
	-webkit-font-smoothing: antialiased;
	-moz-osx-font-smoothing: grayscale;
	scroll-behavior: smooth;
}

a,
button,
input,
label {
	cursor: pointer;
}

*,
*:after,
*:before {
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	box-sizing: border-box;
}

ul,
li {
	list-style: none;
	margin: 0;
	padding: 0;
}

/* Your CSS */

.main {
	color: var(--primary-text-color);
	width: 100%;
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	transition: opacity 0.3s ease;
}

.main .container {
	/* display: flex;
	flex-direction: column; */
	width: 100%;
	/* justify-content: center;
	align-items: center; */
}

.cover {
	height: 100dvh;
	display: flex;
	flex-direction: column;
	justify-content: flex-start;
}

.main .chap {
	margin-top: 60vw;
}

.main .chap:first-child {
	margin-top: 0;
}

.chap-margin {
	height: 3vw;
	width: 100%;
}

.number {
	position: sticky;
	top: 3vw;
	text-align: center;
	line-height: 13vw;
	font-size: 13.5vw;
	mix-blend-mode: plus-lighter;
	will-change: transform;
}

h1 {
	font-weight: normal;
	margin-top: 0;
	margin-bottom: 5vw;
	text-align: center;
	font-size: 13.5vw;
	line-height: 13vw;
}
h1.titel,
h1.right {
	text-align: left;
	margin: 5vw 5vw 0 5vw;
	font-size: 16vw;
	line-height: 13vw;
}

h1.right {
	text-align: right;
}

.image-container {
	display: flex;
	width: 100%;
	justify-content: center;
	overflow: hidden;
}
.image {
	width: 90%;
}
.image.bildbeitrag {
	width: 101%;
	margin: 6vw 0;
}

.text {
	margin: 0 5vw 0 5vw;
	font-size: 5vw;
	hyphens: auto;
}
a[href^="tel"] {
	color: inherit;
	text-decoration: underline dotted;
}
.imprint > p {
	margin-bottom: 0;
}
.first-para {
	margin-top: 40vw;
}
.next-para {
	text-indent: 12vw;
}
.next {
	padding-top: 5vw;
}
.last-para {
	margin-bottom: 5vw;
}
.beitrag {
	font-size: 3.5vw;
}
.eingerueckt {
	padding-left: 12vw;
}

.map-link {
	display: flex;
	flex-direction: row;
	/* align-items: center; */
	gap: 5vw;
	margin: 0vw 5vw 5vw 5vw;
	font-size: 3.5vw;

	& .address {
		font-family: "TimezoneReg";
	}

	& .underscore {
		text-decoration: underline;
	}
}
.location-pin {
	width: 7vw;
	height: 7vw;
}
.subtitel {
	hyphens: auto;
	margin-bottom: 0;
}
.map-link-translate {
	transform: translateY(-5vw);
}
.no-margin-bottom {
	margin-bottom: 0;
}
.download {
	margin: 5vw 2vw 0vw 2vw;
	border-radius: 5vw;
	background-color: var(--primary-text-color-light);
	color: var(--primary-bg-color);
}
details {
	margin: 5vw 2vw 0vw 2vw;
	border-radius: 5vw;
	background-color: var(--primary-text-color-light);
	color: var(--primary-bg-color);
}
details::-webkit-scrollbar {
	/* display: none; */
	scrollbar-width: thin;
	scrollbar-color: var(--primary-bg-color) var(--primary-text-color);
}
details[open]::-webkit-scrollbar {
	display: block;
	scrollbar-width: thin;
	scrollbar-color: var(--primary-bg-color) var(--primary-text-color);
}
details * {
	margin: 0;
}

details::details-content {
	height: 0;
	transition: height 0.3s ease;
	content-visibility: 0.3s ease allow-discrete;
	overflow-y: scroll;
}

details[open]::details-content {
	height: 60vh;
}

details.impressum {
	background-color: var(--primary-bg-color);
	color: var(--primary-text-color);
	border: var(--primary-text-color-light) solid 0.2vw;
	margin-bottom: 5vw;
}
p.brief {
	border-radius: 5vw;
	color: var(--primary-text-color);
	border: var(--primary-text-color-light) solid 0.2vw;
	margin-top: 12vw;
	padding: 3vw;
}
details.impressum[open]::details-content {
	height: 60dvh;
}

details > p {
	margin: 0 4vw 0 4vw !important;
}

summary {
	cursor: pointer;
	display: flex;
	justify-content: space-between;
	/* margin: 5vw 5vw 5vw 5vw; */
	margin-inline-start: 4vw;
	list-style-position: outside;
	list-style-type: none;
	font-size: 5vw;
	line-height: 15vw;
}

summary::-webkit-details-marker {
	display: none;
}

summary::after {
	margin-right: 3vw;
	line-height: 13vw;
	font-size: 15vw;
	content: "+";
	font-weight: bold;
}
a.download-link {
	color: var(--primary-bg-color);
	text-decoration: none;
}
a > summary::after {
	content: "\E005";
	font-size: 10vw;
	line-height: 14.5vw;
}
details[open] summary::after {
	margin-right: 3.5vw;

	font-size: 14.5vw;
	content: "–";
	line-height: 12vw;
}

h2 {
	font-weight: normal;
	margin: 10vw 3vw 10vw 3vw;
	text-align: center;
	font-size: 8vw;
	line-height: 9.4vw;
}

.map-container {
	position: fixed;
	top: 0;
	left: 0;
	width: 100%;
	pointer-events: none;
	opacity: 0;
	height: 110vh;
	overflow-x: scroll;
	overflow-y: hidden;
	background-color: var(--primary-bg-color);
	transition: opacity 0.3s ease;
	&.open {
		pointer-events: initial;
		opacity: 1;
		touch-action: none;
	}
}

.map-container .map {
	max-height: 100%;
	object-fit: cover;
}

.map img {
	height: 100vh;
}

a.map-number,
a.start-number {
	color: var(--primary-text-color);
	position: absolute;
	text-decoration: none;
}
a.map-number {
	cursor: pointer;
	font-size: 6.5vh;
}

a.start-number {
	mix-blend-mode: plus-lighter;
	font-size: 16vw;
}

.start {
	width: 100vw;
	height: 100%;
	position: relative;
}

#map-num-1 {
	opacity: 1;
	left: 16vh;
	top: 3.5vh;
}
#map-num-2 {
	opacity: 1;
	left: 20.7vh;
	top: 52.5vh;
}
#map-num-3 {
	opacity: 1;
	left: 15vh;
	top: 55.5vh;
}
#map-num-4 {
	opacity: 1;
	left: 9vh;
	top: 2.9vh;
}
#map-num-5 {
	opacity: 1;
	left: 16vh;
	top: 64vh;
}
#map-num-1-inv {
	opacity: 0;
	left: 16vh;
	top: 3.5vh;
}
#map-num-2-inv {
	opacity: 0;
	left: 20.7vh;
	top: 52.5vh;
}
#map-num-3-inv {
	opacity: 0;
	left: 15vh;
	top: 55.5vh;
}
#map-num-4-inv {
	opacity: 0;
	left: 9vh;
	top: 2.9vh;
}
#map-num-5-inv {
	opacity: 0;
	left: 16vh;
	top: 64vh;
}

#start-num-1 {
	left: 39vw;
	top: 0.5%;
}
#start-num-2 {
	left: 78vw;
	top: 59.5%;
}
#start-num-3 {
	left: 60vw;
	top: 60.5%;
}
#start-num-4 {
	left: 23vw;
	top: 3.9%;
}
#start-num-5 {
	left: 39vw;
	top: 90%;
}

.selected {
	color: var(--primary-text-color);
}

body:has(#chap-1:target) #map-num-1,
body:has(#chap-2:target) #map-num-2,
body:has(#chap-3:target) #map-num-3,
body:has(#chap-4:target) #map-num-4,
body:has(#chap-5:target) #map-num-5 {
	opacity: 0;
}

body:has(#chap-1:target) #map-num-1-inv,
body:has(#chap-2:target) #map-num-2-inv,
body:has(#chap-3:target) #map-num-3-inv,
body:has(#chap-4:target) #map-num-4-inv,
body:has(#chap-5:target) #map-num-5-inv {
	opacity: 1;
}

footer {
	top: 0;
	flex-direction: column;
	justify-content: flex-end;
	height: fit-content;
	width: 100dvw;
	height: 100dvh;
	z-index: 9999;
}

.footnote-display {
	position: absolute;
	margin: 0 4vw 2vw 4vw;
	width: fit-content;
	height: fit-content;
	background-color: var(--primary-bg-color);
	color: var(--primary-text-color);
	border-radius: 5vw;
	font-size: 3.5vw;
	border: var(--primary-text-color-light) solid 0.2vw;

	padding: 3vw;
}

.hidden {
	display: none;
}
.flex {
	display: flex;
}

@media (min-width: 900px) {
	body {
		display: flex;
		align-items: space-between;
		flex-direction: row;
		overflow-x: hidden;
	}
	.cover {
		height: fit-content;
	}

	.main .chap {
		margin-top: 20vw;
	}
	.number {
		top: 0.5vw;
		font-size: 5.5vw;
		line-height: 5.5vw;
	}
	h1 {
		font-weight: 500;
		margin-top: 0;
		margin-bottom: 2vw;
		text-align: center;
		font-size: 5.5vw;
		line-height: 5.1vw;
	}
	h1.titel,
	h1.right {
		text-align: left;
		margin: 1vw 2vw 0 1.5vw;
		font-size: 5.5vw;
		line-height: 5.1vw;
	}
	h1.right {
		text-align: right;
	}
	.text {
		margin: 0 2vw 0vw 2vw;
		font-size: 1.45vw;
		hyphens: auto;
	}
	.first-para {
		margin-top: 7vw;
	}
	.next-para {
		text-indent: 3.5vw;
	}
	.last-para {
		margin-bottom: 2.5vw;
	}
	.subtitel {
		font-size: 1.2vw;
		margin: 1vw 1vw 2vw 1vw;
	}
	.location-pin {
		width: 1vw;
		height: 1vw;
	}
	.download {
		margin: 2vw 1vw 0vw 1vw;
		border-radius: 2vw;
		background-color: var(--primary-text-color-light);
		color: var(--primary-bg-color);
	}
	details {
		margin: 2vw 1vw 0vw 1vw;
		border: none;
		border-radius: 2vw;
	}

	details[open]::details-content {
		height: 60vh;
	}

	details > p {
		margin: 0 1.5vw 0 1.5vw !important;
	}

	.next {
		padding-top: 1vw;
	}

	summary {
		margin-inline-start: 1.5vw;
		list-style-position: outside;
		list-style-type: none;
		font-size: 1.5vw;
		line-height: 4vw;
	}
	details.impressum {
		border: var(--primary-text-color-light) solid 0.1vw;
		margin-bottom: 1vw;
	}

	summary::-webkit-details-marker {
		display: none;
	}

	summary::after {
		margin-right: 1.5vw;
		line-height: 3.7vw;
		font-size: 3vw;
	}

	a > summary::after {
		font-size: 3vw;
		line-height: 4vw;
	}
	details[open] summary::after {
		margin-right: 1.6vw;

		font-size: 2.8vw;
		content: "–";
		line-height: 3.6vw;
	}
	h2 {
		font-size: 3vw;
		line-height: 3vw;
		margin: 2vw 1.5vw 4vw 1.5vw;
	}
	.start {
		height: 5vw;
	}

	.start-number {
		font-size: 6vw;
		opacity: 0;
	}
	#start-num-1 {
		left: 21vh;
	}
	#start-num-2 {
		left: 38vh;
	}
	.main {
		width: 40%;
	}
	.map-link {
		font-size: 1.2vw;
		gap: 2vw;
		margin: 0vw 2vw 2vw 2vw;
	}
	.map-container {
		position: fixed;
		right: 0;
		left: auto;
		width: 60%;
		opacity: 1;
		height: 110vh;
		overflow-x: scroll;
		overflow-y: hidden;
		background-color: var(--primary-bg-color);
		transition: opacity 0.3s ease;

		pointer-events: all;
		opacity: 1;
		touch-action: auto;
	}

	.address {
		margin-bottom: 2.5vw;
		font-size: 0.95vw;
	}
	.subtitel > .address {
		margin-top: 0.5vw;
		font-size: 1.5vw;
	}
	.beitrag {
		font-size: 1vw;
	}

	.footnote-display {
		left: 0;
		position: absolute;
		margin: 0 2.5vw 2vw 2.5vw;
		width: fit-content;
		height: fit-content;
		background-color: var(--primary-bg-color);
		color: var(--primary-text-color);
		border-radius: 5vw;
		font-size: 15px;
		border: var(--primary-text-color-light) solid 0.1vw;
		padding: 1vw;
		cursor: pointer;
	}
	.eingerueckt {
		padding-left: 3.5vw;
	}
	.image.bildbeitrag {
		width: 101%;
		margin: 2vw 0;
	}
	a.start-number {
		pointer-events: none;
	}
	p.brief {
		border-radius: 2vw;
		border: var(--primary-text-color-light) solid 0.1vw;
		margin-top: 7vw;
		padding: 1.5vw;
	}
	.chap-margin {
		height: 0.5vw;
	}
}
